#
# Conditional build:
%bcond_without	tests	# don't perform "make test"

%define		pdir	XML
%define		pnam	RSS
%include	/usr/lib/rpm/macros.perl
Summary:	XML::RSS - module for RDF Site Summary (RSS) files managment
Summary(pl.UTF-8):	XML::RSS - moduł do zarządzania plikami RDF Site Summary (RSS)
Name:		perl-XML-RSS
Version:	1.60
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	75d5a98f96cfb959c8013fca4283e98b
URL:		http://search.cpan.org/dist/XML-RSS/
%if %{with tests}
BuildRequires:	perl-DateTime-Format-Mail
BuildRequires:	perl-DateTime-Format-W3CDTF
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-Test-Manifest >= 0.9
BuildRequires:	perl-XML-Parser >= 2.23
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(XML::RSS::Creator)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module was created to help those who need to manage RDF Site
Summary (RSS) files. It makes quick work of creating, updating, and
saving RSS files.

%description -l pl.UTF-8
Ten moduł został stworzony, aby pomóc przy zarządzaniu plikami RDF
Site Summary (RSS). Pozwala szybko tworzyć, uaktualniać i zapisywać
pliki RSS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/XML/RSS

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO README Changes
%{perl_vendorlib}/XML/RSS.pm
%dir %{perl_vendorlib}/XML/RSS
%{perl_vendorlib}/XML/RSS/Private
%{_mandir}/man3/XML::RSS.3pm*
%{_mandir}/man3/XML::RSS::Private::Output*.3pm*
%changelog
* Thu Mar 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-RSS.git;a=log;h=master

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bb6c611
- up to 1.60

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e2fa2c9
- up to 1.59

* Sat Feb 28 2015 Elan Ruusamäe <glen@delfi.ee> 90a0636
- update test BR

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dcd59c9
- up to 1.56

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c526293
- up to 1.54

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 08df561
- up to 1.49

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 96607d9
- updated to 1.46

* Mon Sep 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a0acd6a
- up to 1.45

* Wed Jan 07 2009 duddits <duddits@pld-linux.org> e55d7be
- up to 1.42

* Tue Dec 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 6e64e0b
- tests BR: perl-DateTime-Format-{Mail,W3CDTF} (as package itself at install time)
- reenabled tests (store_retrieve test is no more)

* Tue Dec 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 07572be
- release 2

* Tue Dec 02 2008 Jakub Bogusz <qboosh@pld-linux.org> e7fdb78
- package XML::RSS::Private modules

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c03007b
- up to 1.40

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> afcc417
- release 2

* Tue Jan 29 2008 blekot <blekot@pld-linux.org> ad88e7c
- P: perl(XML::RSS::Creator)
- rel 1

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 7c59055
- generic URL

* Sun Mar 25 2007 Szymon Siwek <sls@pld-linux.org> 4a847be
- ver. 1.22 (1.11 no longer available on cpan)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 12501e8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e0f5faa
- converted to UTF-8

* Fri Oct 20 2006 ankry <ankry@pld-linux.org> 670518b
- disable tests

